> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 하위 벤더 목록 조회



## OpenAPI

````yaml /steppay_v1.json get /api/v1/vendors/{vendorUuid}/children
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/vendors/{vendorUuid}/children:
    get:
      tags:
        - 벤더 API
      summary: 하위 벤더 목록 조회
      operationId: v1_getChildVendors
      parameters:
        - name: page
          in: query
          description: '페이지 번호(기본값: 0)'
          schema:
            type: integer
            format: int32
        - name: size
          in: query
          description: '페이지 크기(기본값: 20)'
          schema:
            type: integer
            format: int32
        - name: vendorUuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: pageable
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Pageable'
        - name: unpaged
          in: query
          required: false
          schema:
            type: boolean
        - name: query
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/VendorQueryDTO'
      responses:
        '200':
          description: 정상적으로 조회됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/VendorListDTO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountErrorresponse'
components:
  schemas:
    Pageable:
      type: object
      properties:
        page:
          minimum: 0
          type: integer
          format: int32
        size:
          minimum: 1
          type: integer
          format: int32
        sort:
          type: array
          items:
            type: string
    VendorQueryDTO:
      type: object
      properties:
        serviceName:
          type: string
        username:
          type: string
        phone:
          type: string
        enabled:
          type: boolean
        startCreatedAt:
          type: string
          format: date-time
        endCreatedAt:
          type: string
          format: date-time
    VendorListDTO:
      required:
        - createdAt
        - enabled
        - managerUsername
        - name
        - surveyed
        - uuid
      type: object
      properties:
        name:
          type: string
        uuid:
          type: string
          format: uuid
        realmKeycloakId:
          type: string
          format: uuid
        realmName:
          type: string
        surveyed:
          type: boolean
        managerUsername:
          type: string
        managerPhone:
          type: string
        createdAt:
          type: string
          format: date-time
        enabled:
          type: boolean
    AccountErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````